Subject: Re: [PATCH v2 1/2] rhashtable: require max_shift if grow_decision defined

From: Josh Hunt <[email-masked]>
Date: Tue, 24 Feb 2015 16:36:00 -0600

On 02/24/2015 12:18 PM, David Miller wrote:
> From: Josh Hunt <[email-masked]>
> Date: Tue, 24 Feb 2015 11:10:57 -0500
>
>> If an rhashtable user defines a grow_decision fn they must also define a
>> max_shift parameter.
>>
>> Signed-off-by: Josh Hunt <[email-masked]>
>
> I've already said today that I think this whole indirection stuff
> with grow and shrink decisions should simply go away.
>
> Everyone defines it to the generic rhashtable routine, therefore
> that should just be made private to lib/rhashtable.c, called
> directly, and the methods completely removed.
>
> Given that, this change makes no sense.
>
> When a limit is not specified, we should unconditionally grow rather
> than refuse to grow.  One should not be required to specify this at
> all.  If you have no idea what limit might be reasonable, you specify
> nothing at all and just let available memory be the limiting factor.
>

I don't particularly care how this gets fixed at this point, just that 
it gets fixed. Right now nft hash sets can't expand b/c of this 
limitation. If we fix it by removing the max_shift requirement that 
works for me :)

Josh